package ly.hall.rose.healthsync.mixin;

import ly.hall.rose.healthsync.LivingEntityPostDamageEvent;
import ly.hall.rose.healthsync.LivingEntityPostDamageHandler;
import net.minecraft.entity.LivingEntity;
import net.minecraft.entity.damage.DamageSource;
import net.minecraft.server.MinecraftServer;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfo;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfoReturnable;

import java.util.HashSet;
import java.util.Set;

@Mixin(LivingEntity.class)
public class LivingEntityDamageCalculationMixin {
	@Inject(at = @At("RETURN"), method = "damage")
	private void postDamage(DamageSource source, float amount, CallbackInfoReturnable<Boolean> cir) {
		LivingEntityPostDamageEvent.emit((LivingEntity)(Object)this);
	}
}