package ly.hall.rose.healthsync;

import net.minecraft.entity.damage.DamageSource;
import net.minecraft.entity.damage.DamageType;
import net.minecraft.registry.RegistryKey;
import net.minecraft.registry.RegistryKeys;
import net.minecraft.util.Identifier;
import net.minecraft.world.World;

public class ModDamageTypes {
    public static final RegistryKey<DamageType> SYNCHRONIZATION_DAMAGE = RegistryKey.of(RegistryKeys.DAMAGE_TYPE, new Identifier("healthsync", "synchronization_damage"));
    public static final RegistryKey<DamageType> ABSORPTION_CHANGED = RegistryKey.of(RegistryKeys.DAMAGE_TYPE, new Identifier("healthsync", "absorption_changed"));

    public static DamageSource of(World world, RegistryKey<DamageType> key) {
        return new DamageSource(world.getRegistryManager().get(RegistryKeys.DAMAGE_TYPE).entryOf(key));
    }
}
