package ly.hall.rose.healthsync.mixin.heal;

import ly.hall.rose.healthsync.LivingEntityHealHandler;
import ly.hall.rose.healthsync.LivingEntityHealReason;
import net.minecraft.entity.LivingEntity;
import net.minecraft.entity.attribute.AttributeContainer;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfo;

@Mixin(targets = "net.minecraft.entity.effect.AbsorptionStatusEffect")
public class AbsorptionStatusEffectMixin {
    @Inject(at = @At(value = "HEAD"), method = "onApplied")
    private void handleRegen(LivingEntity entity, AttributeContainer attributes, int amplifier, CallbackInfo ci) {
        LivingEntityHealHandler.applyReason(LivingEntityHealReason.AbsorptionStatusEffect);
    }
}